Debian Bug report logs - #595726
Update dput.cf for new backports.debian.org host

version graph

Package: dput; Maintainer for dput is Y Giridhar Appaji Nag <appaji@debian.org>; Source for dput is src:dput.

Reported by: Salvatore Bonaccorso <carnil@debian.org>

Date: Mon, 6 Sep 2010 06:03:01 UTC

Severity: wishlist

Found in version dput/0.9.6.1

Fixed in versions dput/0.9.6.2, dput/0.9.6.1+squeeze1

Done: Gerfried Fuchs <rhonda@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, salvatore.bonaccorso@gmail.com, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Mon, 06 Sep 2010 06:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>:
New Bug report received and forwarded. Copy sent to salvatore.bonaccorso@gmail.com, Y Giridhar Appaji Nag <appaji@debian.org>. (Mon, 06 Sep 2010 06:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Update dput.cf for new backports.debian.org host
Date: Mon, 06 Sep 2010 07:59:09 +0200
Package: dput
Version: 0.9.6.1
Severity: wishlist

Hi

As backports.debian.org bacame official [1] the new host should be
used:

backports-master.debian.org

Bests
Salvatore

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-2-amd64 (SMP w/8 CPU cores)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/dash

Versions of packages dput depends on:
ii  gnupg                         1.4.10-4   GNU privacy guard - a free PGP rep
ii  python                        2.6.6-1    interactive high-level object-orie

dput recommends no packages.

Versions of packages dput suggests:
ii  lintian                       2.4.3      Debian package checker
pn  mini-dinstall                 <none>     (no description available)
ii  openssh-client                1:5.5p1-5  secure shell (SSH) client, for sec
ii  rsync                         3.0.7-2    fast remote file copy program (lik
pn  yaclc                         <none>     (no description available)

-- no debconf information




Bug 595726 cloned as bug 595734. Request was from Paul Wise <pabs@debian.org> to control@bugs.debian.org. (Mon, 06 Sep 2010 09:06:01 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Mon, 06 Sep 2010 09:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Wirt <formorer@formorer.de>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Mon, 06 Sep 2010 09:57:07 GMT) Full text and rfc822 format available.

Message #12 received at 595726@bugs.debian.org (full text, mbox):

From: Alexander Wirt <formorer@formorer.de>
To: 595726@bugs.debian.org
Subject: Update dput.cf for new backports.debian.org host
Date: Mon, 6 Sep 2010 11:54:30 +0200
Hi, 

the upload path also changed. See the example on
http://backports.debian.org/Contribute/

Thanks

Alex

-- 
Alexander Wirt, formorer@formorer.de 
CC99 2DDD D39E 75B0 B0AA  B25C D35B BC99 BC7D 020A




Added tag(s) pending. Request was from Y Giridhar Appaji Nag <appaji@debian.org> to control@bugs.debian.org. (Wed, 08 Sep 2010 09:57:04 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'Salvatore Bonaccorso <carnil@debian.org>' from 'Salvatore Bonaccorso <salvatore.bonaccorso@gmail.com>' Request was from Salvatore Bonaccorso <carnil@debian.org> to control@bugs.debian.org. (Sun, 10 Oct 2010 10:51:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Fri, 25 Feb 2011 20:00:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Fri, 25 Feb 2011 20:00:07 GMT) Full text and rfc822 format available.

Message #21 received at 595726@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.org>
To: Y Giridhar Appaji Nag <appaji@debian.org>
Cc: 595726@bugs.debian.org
Subject: Re: limit source to dput, tagging 595726
Date: Fri, 25 Feb 2011 20:14:22 +0100
On Wed, Sep 08, 2010 at 03:24:12PM +0530, Y Giridhar Appaji Nag wrote:
> #dput (0.9.6.2) unstable; urgency=low
> #
> #  * Change the default backports configuration (Closes: #595726)
> #
> 
> limit source dput
> tags 595726 + pending
> thanks

 This was in September - I am thinking of preparing an NMU for this and
also run it through the release-team to get this into squeeze.  Please
speak up if you want to do that yourself, it's quite inconvenient that
backports is official since squeeze but the squeeze version of dput is
unable to push there (without personal tweaking).

 Thanks,
Rhonda




Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Fri, 04 Mar 2011 19:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Fri, 04 Mar 2011 19:54:03 GMT) Full text and rfc822 format available.

Message #26 received at 595726@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Gerfried Fuchs <rhonda@debian.org>, 595726@bugs.debian.org
Cc: Y Giridhar Appaji Nag <appaji@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Fri, 4 Mar 2011 20:51:32 +0100
[Message part 1 (text/plain, inline)]
Hi Rhonda and Y Giridhar Appaji Nag

On Fri, Feb 25, 2011 at 08:14:22PM +0100, Gerfried Fuchs wrote:
> On Wed, Sep 08, 2010 at 03:24:12PM +0530, Y Giridhar Appaji Nag wrote:
> > #dput (0.9.6.2) unstable; urgency=low
> > #
> > #  * Change the default backports configuration (Closes: #595726)
> > #
> > 
> > limit source dput
> > tags 595726 + pending
> > thanks
> 
>  This was in September - I am thinking of preparing an NMU for this and
> also run it through the release-team to get this into squeeze.  Please
> speak up if you want to do that yourself, it's quite inconvenient that
> backports is official since squeeze but the squeeze version of dput is
> unable to push there (without personal tweaking).

Any news on this?

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Fri, 04 Mar 2011 21:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Fri, 04 Mar 2011 21:18:03 GMT) Full text and rfc822 format available.

Message #31 received at 595726@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 595726@bugs.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Fri, 4 Mar 2011 22:14:40 +0100
        Hi!

* Salvatore Bonaccorso <carnil@debian.org> [2011-03-04 20:51:32 CET]:
> Hi Rhonda and Y Giridhar Appaji Nag
> On Fri, Feb 25, 2011 at 08:14:22PM +0100, Gerfried Fuchs wrote:
> > On Wed, Sep 08, 2010 at 03:24:12PM +0530, Y Giridhar Appaji Nag wrote:
> > > #dput (0.9.6.2) unstable; urgency=low
> > > #
> > > #  * Change the default backports configuration (Closes: #595726)
> > > #
> > > 
> > > limit source dput
> > > tags 595726 + pending
> > > thanks
> > 
> >  This was in September - I am thinking of preparing an NMU for this and
> > also run it through the release-team to get this into squeeze.  Please
> > speak up if you want to do that yourself, it's quite inconvenient that
> > backports is official since squeeze but the squeeze version of dput is
> > unable to push there (without personal tweaking).
> 
> Any news on this?

 I haven't received any response from Y Giridhar Appaji Nag and wanted
to give them a chance to respond.

 If you want to do the upload you have my blessing. I have a fair bit of
load on my shoulders these days, additionally if I'd done the NMU I
would check the other bugs too to see wether there are others to do in
the same upload, so it might take a bit until I get around to doing so.

 Thanks for your interest,
Rhonda
-- 
"What are the differences between Mark Zuckerberg and me? I give private
 information on corporations to you for free, and I'm a villain.
 Zuckerberg gives your private information to corporations for money and
 he's Man of the Year."         -- Julian Assange




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#595726; Package dput. (Mon, 07 Mar 2011 10:34:25 GMT) Full text and rfc822 format available.

Message #34 received at 595726@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <appaji@debian.org>
To: Gerfried Fuchs <rhonda@debian.org>
Cc: Salvatore Bonaccorso <carnil@debian.org>, 595726@bugs.debian.org
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Mon, 7 Mar 2011 13:46:04 +0530
[Message part 1 (text/plain, inline)]
Hi,

On 11/03/04 22:14 +0100, Gerfried Fuchs said ...
> * Salvatore Bonaccorso <carnil@debian.org> [2011-03-04 20:51:32 CET]:
> > Hi Rhonda and Y Giridhar Appaji Nag
> > On Fri, Feb 25, 2011 at 08:14:22PM +0100, Gerfried Fuchs wrote:
> > > On Wed, Sep 08, 2010 at 03:24:12PM +0530, Y Giridhar Appaji Nag wrote:
> > > > #  * Change the default backports configuration (Closes: #595726)
> > > > 
> > > > tags 595726 + pending
> > > 
> > >  This was in September - I am thinking of preparing an NMU for this and
> > > also run it through the release-team to get this into squeeze.  Please
> > > speak up if you want to do that yourself, it's quite inconvenient that
> > > backports is official since squeeze but the squeeze version of dput is
> > > unable to push there (without personal tweaking).
> > 
> > Any news on this?
> 
>  I haven't received any response from Y Giridhar Appaji Nag and wanted
> to give them a chance to respond.
> 
>  If you want to do the upload you have my blessing. I have a fair bit of
> load on my shoulders these days, additionally if I'd done the NMU I
> would check the other bugs too to see wether there are others to do in
> the same upload, so it might take a bit until I get around to doing so.

Thank you for your patience.  I have been traveling since a while and also
moved my residence (I don't expect to have an internet connection at home till
a few days to be able to actively upload packages).  I am on the Low threshold
NMU list and would be happy in case you do uploads on my behalf.  There aren't
many other pressing 'bugs' that would need attention, but I will integrate a
couple of feature patches and do an upload in a few days.

I will get in touch with the release team to have this integrated for r1 but I
am not sure they would accept a 'non critical' change.

Giridhar

-- 
Y Giridhar Appaji Nag | http://people.debian.org/~appaji/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Mon, 07 Mar 2011 10:34:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Mon, 07 Mar 2011 10:34:27 GMT) Full text and rfc822 format available.

Message #39 received at 595726@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Y Giridhar Appaji Nag <appaji@debian.org>
Cc: Gerfried Fuchs <rhonda@debian.org>, 595726@bugs.debian.org
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Mon, 7 Mar 2011 09:40:40 +0100
[Message part 1 (text/plain, inline)]
Hi!

On Mon, Mar 07, 2011 at 01:46:04PM +0530, Y Giridhar Appaji Nag wrote:
> On 11/03/04 22:14 +0100, Gerfried Fuchs said ...
> > * Salvatore Bonaccorso <carnil@debian.org> [2011-03-04 20:51:32 CET]:
> > > Hi Rhonda and Y Giridhar Appaji Nag
> > > On Fri, Feb 25, 2011 at 08:14:22PM +0100, Gerfried Fuchs wrote:
> > > > On Wed, Sep 08, 2010 at 03:24:12PM +0530, Y Giridhar Appaji Nag wrote:
> > > > > #  * Change the default backports configuration (Closes: #595726)
> > > > > 
> > > > > tags 595726 + pending
> > > > 
> > > >  This was in September - I am thinking of preparing an NMU for this and
> > > > also run it through the release-team to get this into squeeze.  Please
> > > > speak up if you want to do that yourself, it's quite inconvenient that
> > > > backports is official since squeeze but the squeeze version of dput is
> > > > unable to push there (without personal tweaking).
> > > 
> > > Any news on this?
> > 
> >  I haven't received any response from Y Giridhar Appaji Nag and wanted
> > to give them a chance to respond.
> > 
> >  If you want to do the upload you have my blessing. I have a fair bit of
> > load on my shoulders these days, additionally if I'd done the NMU I
> > would check the other bugs too to see wether there are others to do in
> > the same upload, so it might take a bit until I get around to doing so.
> 
> Thank you for your patience.  I have been traveling since a while and also
> moved my residence (I don't expect to have an internet connection at home till
> a few days to be able to actively upload packages).  I am on the Low threshold
> NMU list and would be happy in case you do uploads on my behalf.  There aren't
> many other pressing 'bugs' that would need attention, but I will integrate a
> couple of feature patches and do an upload in a few days.
> 
> I will get in touch with the release team to have this integrated for r1 but I
> am not sure they would accept a 'non critical' change.

Ok, thank you for letting us know!

As a small change, but usefull as said from Rhonda, IMHO it make sense
to have this in squeeze, as backports.d.o now official for stable.

Bests
Salvatore
[signature.asc (application/pgp-signature, inline)]

Reply sent to Y Giridhar Appaji Nag <appaji@debian.org>:
You have taken responsibility. (Thu, 10 Mar 2011 11:51:08 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Thu, 10 Mar 2011 11:51:09 GMT) Full text and rfc822 format available.

Message #44 received at 595726-close@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <appaji@debian.org>
To: 595726-close@bugs.debian.org
Subject: Bug#595726: fixed in dput 0.9.6.2
Date: Thu, 10 Mar 2011 11:48:06 +0000
Source: dput
Source-Version: 0.9.6.2

We believe that the bug you reported is fixed in the latest version of
dput, which is due to be installed in the Debian FTP archive:

dput_0.9.6.2.dsc
  to main/d/dput/dput_0.9.6.2.dsc
dput_0.9.6.2.tar.gz
  to main/d/dput/dput_0.9.6.2.tar.gz
dput_0.9.6.2_all.deb
  to main/d/dput/dput_0.9.6.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595726@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Y Giridhar Appaji Nag <appaji@debian.org> (supplier of updated dput package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Thu, 10 Mar 2011 14:41:41 +0530
Source: dput
Binary: dput
Architecture: source all
Version: 0.9.6.2
Distribution: unstable
Urgency: low
Maintainer: Y Giridhar Appaji Nag <appaji@debian.org>
Changed-By: Y Giridhar Appaji Nag <appaji@debian.org>
Description: 
 dput       - Debian package upload tool
Closes: 595726 608634
Changes: 
 dput (0.9.6.2) unstable; urgency=low
 .
   [ Gerfried Fuchs ]
   * Remove .org from the backports target name.
 .
   [ Y Giridhar Appaji Nag ]
   * Change the default backports configuration (Closes: #595726)
   * Clarify the -m option in dcut.1 (Closes: #608634)
   * Don't suggest yaclc, it is no longer in the archive
   * Update Standards-Version to 3.9.1 (no changes required)
Checksums-Sha1: 
 6675faa42d14e356f4c05ef636b01c77b13badeb 1127 dput_0.9.6.2.dsc
 c85aba8361d15f3334f8dfdd65c2f9a31bd8e855 50920 dput_0.9.6.2.tar.gz
 bd5d9cabfe704770f121cb50cb158c06b3c3a9e8 47896 dput_0.9.6.2_all.deb
Checksums-Sha256: 
 1c8198e663533a63064c28b90be0c7e69d7b8485acb8af9eda9d7e22b6a1e2de 1127 dput_0.9.6.2.dsc
 b4024726f2d690657a6af7993dfe697812b20bfa93a2f96f40bd79991d0f4dc9 50920 dput_0.9.6.2.tar.gz
 bcda7f30f1f15db33db9a6b4e7d2e2e554ba0177d21cb37dee51c91757003f56 47896 dput_0.9.6.2_all.deb
Files: 
 269bea8f6c7b465f41b2637021f9bc9c 1127 devel optional dput_0.9.6.2.dsc
 27fd7f1675cf359170a81e4bd9418162 50920 devel optional dput_0.9.6.2.tar.gz
 89cd73c5d8b683f6b0070ffe3886fd2e 47896 devel optional dput_0.9.6.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJNeJZeAAoJENbfLHnbvsrcJSgH/iqWUo0TsmCF2y0rYJS/VAXR
3iz1qRx68nA0/n1MyKuq2QFPeN9hZzMx9+6s5GMyepQtcyvNxxDuBUALo4QZ5x+s
e3cYiVhcoF2AwGdX+R0hRHBwD+TkwhoppjgraqfUr0oarPb0IOsky0QuUbxldaaj
xOnNE7TMMCztj2mwkTu+B/T0PwmxYQkjEc8Czhh0j+kkcQkNaquEVRAY07S3PllI
Yyj0S/SA37LrUGsZVOrbIZCfL/D7kL5wMj9H5nCLGnxI89n7Is8k//SUofqXxBqd
paij79nmyrCL2UXAC9eimv4nNpZ4igBLJVQemJ+ylECpLKJDLQ/XYrJP/hopMSk=
=tKlD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 07:56:39 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Gerfried Fuchs <rhonda@debian.org> to control@bugs.debian.org. (Thu, 26 May 2011 05:09:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Thu, 26 May 2011 05:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Thu, 26 May 2011 05:15:03 GMT) Full text and rfc822 format available.

Message #53 received at 595726@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.org>
To: debian-release@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>, 595726@bugs.debian.org
Cc: Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Thu, 26 May 2011 07:12:21 +0200
   Hi!

* Y Giridhar Appaji Nag <appaji@debian.org> [2011-03-07 09:16:04 CET]:
> I will get in touch with the release team to have this integrated for r1 but I
> am not sure they would accept a 'non critical' change.

 I haven't seen anything on the mailing list of the release team, so I'm
forwarding the request myself.

 Dear Release Team. dput in squeeze still has the old upload data for
backports in it from its unofficial time. Given that we released squeeze
with backports being official I would like to request permission to
upload dput with an adapted /etc/dput.cf file to fix that so that we
don't have to adjust it on systems we upload from.

 Thanks in advance, more information is available in the bugreport:
http://bugs.debian.org/595726

 Enjoy,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Thu, 26 May 2011 17:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Thu, 26 May 2011 17:15:03 GMT) Full text and rfc822 format available.

Message #58 received at 595726@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Gerfried Fuchs <rhonda@debian.org>
Cc: debian-release@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>, 595726@bugs.debian.org, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Thu, 26 May 2011 19:13:23 +0200
On Thu, May 26, 2011 at 07:12:21 +0200, Gerfried Fuchs wrote:

>  Dear Release Team. dput in squeeze still has the old upload data for
> backports in it from its unofficial time. Given that we released squeeze
> with backports being official I would like to request permission to
> upload dput with an adapted /etc/dput.cf file to fix that so that we
> don't have to adjust it on systems we upload from.
> 
As I said on irc, ack in principle (send a patch here before uploading
though please, although I assume it's just the config file being
updated; haven't looked at the bug).

Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Wed, 08 Jun 2011 19:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Wed, 08 Jun 2011 19:18:03 GMT) Full text and rfc822 format available.

Message #63 received at 595726@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>
Cc: Gerfried Fuchs <rhonda@debian.org>, debian-release@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>, 595726@bugs.debian.org, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Wed, 08 Jun 2011 20:15:28 +0100
On Thu, 2011-05-26 at 19:13 +0200, Julien Cristau wrote:
> On Thu, May 26, 2011 at 07:12:21 +0200, Gerfried Fuchs wrote:
> 
> >  Dear Release Team. dput in squeeze still has the old upload data for
> > backports in it from its unofficial time. Given that we released squeeze
> > with backports being official I would like to request permission to
> > upload dput with an adapted /etc/dput.cf file to fix that so that we
> > don't have to adjust it on systems we upload from.
> > 
> As I said on irc, ack in principle (send a patch here before uploading
> though please, although I assume it's just the config file being
> updated; haven't looked at the bug).

Ping? :)

Regards,

Adam





Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#595726; Package dput. (Thu, 09 Jun 2011 09:36:09 GMT) Full text and rfc822 format available.

Message #66 received at 595726@bugs.debian.org (full text, mbox):

From: Y Giridhar Appaji Nag <appaji@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Julien Cristau <jcristau@debian.org>, Gerfried Fuchs <rhonda@debian.org>, debian-release@lists.debian.org, 595726@bugs.debian.org, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Thu, 9 Jun 2011 14:58:02 +0530
[Message part 1 (text/plain, inline)]
On 11/06/08 20:15 +0100, Adam D. Barratt said ...
> On Thu, 2011-05-26 at 19:13 +0200, Julien Cristau wrote:
> > On Thu, May 26, 2011 at 07:12:21 +0200, Gerfried Fuchs wrote:
> > 
> > >  Dear Release Team. dput in squeeze still has the old upload data for
> > > backports in it from its unofficial time. Given that we released squeeze
> > > with backports being official I would like to request permission to
> > > upload dput with an adapted /etc/dput.cf file to fix that so that we
> > > don't have to adjust it on systems we upload from.
> > > 
> > As I said on irc, ack in principle (send a patch here before uploading
> > though please, although I assume it's just the config file being
> > updated; haven't looked at the bug).
> 
> Ping? :)

http://anonscm.debian.org/gitweb/?p=collab-maint/dput.git;a=commitdiff;h=7453fa87858049595d4413abab458a76204942e0
http://anonscm.debian.org/gitweb/?p=collab-maint/dput.git;a=commitdiff;h=a3a3cf04da6f4412ea47323d0becc71cb49fa552

Giridhar

-- 
Y Giridhar Appaji Nag | http://people.debian.org/~appaji/
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Thu, 09 Jun 2011 11:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Thu, 09 Jun 2011 11:54:04 GMT) Full text and rfc822 format available.

Message #71 received at 595726@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Y Giridhar Appaji Nag <appaji@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, Gerfried Fuchs <rhonda@debian.org>, <debian-release@lists.debian.org>, <595726@bugs.debian.org>, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Thu, 09 Jun 2011 12:50:41 +0100
On Thu, 9 Jun 2011 14:58:02 +0530, Y Giridhar Appaji Nag wrote:
> On 11/06/08 20:15 +0100, Adam D. Barratt said ...
>> On Thu, 2011-05-26 at 19:13 +0200, Julien Cristau wrote:
>> > On Thu, May 26, 2011 at 07:12:21 +0200, Gerfried Fuchs wrote:
>> >
>> > >  Dear Release Team. dput in squeeze still has the old upload 
>> data for
>> > > backports in it from its unofficial time. Given that we released 
>> squeeze
>> > > with backports being official I would like to request permission 
>> to
>> > > upload dput with an adapted /etc/dput.cf file to fix that so 
>> that we
>> > > don't have to adjust it on systems we upload from.
>> > >
>> > As I said on irc, ack in principle (send a patch here before 
>> uploading
>> > though please, although I assume it's just the config file being
>> > updated; haven't looked at the bug).
>>
>> Ping? :)
>
> 
> http://anonscm.debian.org/gitweb/?p=collab-maint/dput.git;a=commitdiff;h=7453fa87858049595d4413abab458a76204942e0
> 
> http://anonscm.debian.org/gitweb/?p=collab-maint/dput.git;a=commitdiff;h=a3a3cf04da6f4412ea47323d0becc71cb49fa552

Thanks.  We'd need to see a finalised (and tested) debdiff against the 
current stable package before approving the upload, however.

The second patch also introduces a behavioural change, in that it will 
cause the previous target name to stop working, which is generally not 
okay for a stable update.  Does dput.cf support the concept of target 
aliases, or "includes", or something similar that would allow us to 
avoid having two targets which differ only in name?

Regards,

Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Mon, 20 Jun 2011 10:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Mon, 20 Jun 2011 10:57:03 GMT) Full text and rfc822 format available.

Message #76 received at 595726@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Y Giridhar Appaji Nag <appaji@debian.org>, Julien Cristau <jcristau@debian.org>, debian-release@lists.debian.org, 595726@bugs.debian.org, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Mon, 20 Jun 2011 12:55:26 +0200
  Hi!

* Adam D. Barratt <adam@adam-barratt.org.uk> [2011-06-09 13:50:41 CEST]:
> On Thu, 9 Jun 2011 14:58:02 +0530, Y Giridhar Appaji Nag wrote:
>>> Ping? :)
>>
>> http://anonscm.debian.org/gitweb/?p=collab-maint/dput.git;a=commitdiff;h=7453fa87858049595d4413abab458a76204942e0
>>
>> http://anonscm.debian.org/gitweb/?p=collab-maint/dput.git;a=commitdiff;h=a3a3cf04da6f4412ea47323d0becc71cb49fa552
>
> Thanks.  We'd need to see a finalised (and tested) debdiff against the  
> current stable package before approving the upload, however.
>
> The second patch also introduces a behavioural change, in that it will  
> cause the previous target name to stop working, which is generally not  
> okay for a stable update.  Does dput.cf support the concept of target  
> aliases, or "includes", or something similar that would allow us to  
> avoid having two targets which differ only in name?

 I took the liberty to cherry-pick the first patch, and for the second,
I did simply duplicate the entry and gave it the proper name. This is
the debdiff:

#v+
diff -Nru dput-0.9.6.1/debian/changelog dput-0.9.6.1+squeeze1/debian/changelog
--- dput-0.9.6.1/debian/changelog	2010-07-08 10:46:03.000000000 +0200
+++ dput-0.9.6.1+squeeze1/debian/changelog	2011-06-20 12:46:33.000000000 +0200
@@ -1,3 +1,14 @@
+dput (0.9.6.1+squeeze1) stable; urgency=low
+
+  [ Y Giridhar Appaji Nag ]
+  * Change the default backports configuration (Closes: #595726)
+
+  [ Gerfried Fuchs ]
+  * Duplicate the backports.org upload host as backports. backports.org is
+    left as legacy hostname for now, it shouldn't be used anymore.
+
+ -- Gerfried Fuchs <rhonda@debian.org>  Mon, 20 Jun 2011 12:44:42 +0200
+
 dput (0.9.6.1) unstable; urgency=low
 
   * Use hashlib instead of md5/sha modules for Python 2.6 (Closes: #517831)
diff -Nru dput-0.9.6.1/dput.cf dput-0.9.6.1+squeeze1/dput.cf
--- dput-0.9.6.1/dput.cf	2010-05-21 07:58:22.000000000 +0200
+++ dput-0.9.6.1+squeeze1/dput.cf	2011-06-20 12:44:10.000000000 +0200
@@ -83,9 +83,16 @@
 hash			= md5
 
 [backports.org]
-fqdn			= www.backports.org
+fqdn			= backports-master.debian.org
 method			= ftp
-incoming		= /
+incoming		= /pub/UploadQueue/
+login			= anonymous
+allow_dcut		= 1
+
+[backports]
+fqdn			= backports-master.debian.org
+method			= ftp
+incoming		= /pub/UploadQueue/
 login			= anonymous
 allow_dcut		= 1
 
#v-

 This is in essence the two topmost commits on
http://anonscm.debian.org/gitweb/?p=collab-maint/dput.git;a=shortlog;h=refs/heads/squeeze
 (75e338 and c3fb53)

 It would really be swift if we could finally get this ready and done
for the pending 6.0.2 update ...

 Thanks,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Mon, 20 Jun 2011 12:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Gerfried Fuchs <rhonda@debian.org>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Mon, 20 Jun 2011 12:39:04 GMT) Full text and rfc822 format available.

Message #81 received at 595726@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.org>
To: "Adam D. Barratt" <adam@adam-barratt.org.uk>
Cc: Y Giridhar Appaji Nag <appaji@debian.org>, Julien Cristau <jcristau@debian.org>, debian-release@lists.debian.org, 595726@bugs.debian.org, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Mon, 20 Jun 2011 14:34:15 +0200
  Hi againn.

* Gerfried Fuchs <rhonda@debian.org> [2011-06-20 12:55:26 CEST]:
>  I took the liberty to cherry-pick the first patch, and for the second,
> I did simply duplicate the entry and gave it the proper name. This is
> the debdiff:

 Given that I was told that it's actually my own fault that this hasn't
got fixed yet I took the liberty to upload the package.

 Enjoy,
Rhonda
-- 
Fühlst du dich mutlos, fass endlich Mut, los      |
Fühlst du dich hilflos, geh raus und hilf, los    | Wir sind Helden
Fühlst du dich machtlos, geh raus und mach, los   | 23.55: Alles auf Anfang
Fühlst du dich haltlos, such Halt und lass los    |




Information forwarded to debian-bugs-dist@lists.debian.org, Y Giridhar Appaji Nag <appaji@debian.org>:
Bug#595726; Package dput. (Mon, 20 Jun 2011 19:30:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Y Giridhar Appaji Nag <appaji@debian.org>. (Mon, 20 Jun 2011 19:30:05 GMT) Full text and rfc822 format available.

Message #86 received at 595726@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Gerfried Fuchs <rhonda@debian.org>
Cc: Y Giridhar Appaji Nag <appaji@debian.org>, Julien Cristau <jcristau@debian.org>, debian-release@lists.debian.org, 595726@bugs.debian.org, Salvatore Bonaccorso <carnil@debian.org>
Subject: Re: Bug#595726: limit source to dput, tagging 595726
Date: Mon, 20 Jun 2011 20:23:55 +0100
Hi,

On Mon, 2011-06-20 at 14:34 +0200, Gerfried Fuchs wrote:
> Hi againn.
> 
> * Gerfried Fuchs <rhonda@debian.org> [2011-06-20 12:55:26 CEST]:
> >  I took the liberty to cherry-pick the first patch, and for the second,
> > I did simply duplicate the entry and gave it the proper name. This is
> > the debdiff:
> 
>  Given that I was told that it's actually my own fault that this hasn't
> got fixed yet I took the liberty to upload the package.

Thanks; the diff looks fine.  Unfortunately, as mentioned on IRC, the
window for acceptance in to 6.0.2 closed yesterday.  Given the size and
nature of the update, we may well look at pushing it via squeeze-updates
once the point release is over.

Regards,

Adam





Reply sent to Gerfried Fuchs <rhonda@debian.org>:
You have taken responsibility. (Mon, 27 Jun 2011 20:03:07 GMT) Full text and rfc822 format available.

Notification sent to Salvatore Bonaccorso <carnil@debian.org>:
Bug acknowledged by developer. (Mon, 27 Jun 2011 20:03:07 GMT) Full text and rfc822 format available.

Message #91 received at 595726-close@bugs.debian.org (full text, mbox):

From: Gerfried Fuchs <rhonda@debian.org>
To: 595726-close@bugs.debian.org
Subject: Bug#595726: fixed in dput 0.9.6.1+squeeze1
Date: Mon, 27 Jun 2011 19:59:29 +0000
Source: dput
Source-Version: 0.9.6.1+squeeze1

We believe that the bug you reported is fixed in the latest version of
dput, which is due to be installed in the Debian FTP archive:

dput_0.9.6.1+squeeze1.dsc
  to main/d/dput/dput_0.9.6.1+squeeze1.dsc
dput_0.9.6.1+squeeze1.tar.gz
  to main/d/dput/dput_0.9.6.1+squeeze1.tar.gz
dput_0.9.6.1+squeeze1_all.deb
  to main/d/dput/dput_0.9.6.1+squeeze1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595726@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gerfried Fuchs <rhonda@debian.org> (supplier of updated dput package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 20 Jun 2011 12:44:42 +0200
Source: dput
Binary: dput
Architecture: source all
Version: 0.9.6.1+squeeze1
Distribution: stable
Urgency: low
Maintainer: Y Giridhar Appaji Nag <appaji@debian.org>
Changed-By: Gerfried Fuchs <rhonda@debian.org>
Description: 
 dput       - Debian package upload tool
Closes: 595726
Changes: 
 dput (0.9.6.1+squeeze1) stable; urgency=low
 .
   [ Y Giridhar Appaji Nag ]
   * Change the default backports configuration (Closes: #595726)
 .
   [ Gerfried Fuchs ]
   * Duplicate the backports.org upload host as backports. backports.org is
     left as legacy hostname for now, it shouldn't be used anymore.
Checksums-Sha1: 
 82d584721a86141eaf136e56ae142fa9ecc59f37 1163 dput_0.9.6.1+squeeze1.dsc
 0982b7446ab1dfbc878b9af9b3db666f13fe6cda 50840 dput_0.9.6.1+squeeze1.tar.gz
 65575acf047a1c8e07b7798d59dab72e6429285a 47626 dput_0.9.6.1+squeeze1_all.deb
Checksums-Sha256: 
 5ffc563a213f268067267c3ce2332d005621e06ad8f40440a9866afa081b289c 1163 dput_0.9.6.1+squeeze1.dsc
 8f29dcb1a8cd9d827615d7c8482a7905c15c7dfccc37e4bc47ad29a575b2c2a8 50840 dput_0.9.6.1+squeeze1.tar.gz
 106c4448dfcbde359e2ed46db3f94a63ebb62528e89cdf1bfe768233d204d4d7 47626 dput_0.9.6.1+squeeze1_all.deb
Files: 
 4c5a4e716f33f8075ba27e8ad34de5ef 1163 devel optional dput_0.9.6.1+squeeze1.dsc
 5474c3333595e5d8fdb3d6922b507ed8 50840 devel optional dput_0.9.6.1+squeeze1.tar.gz
 7377baab2eeefb3477e4da072750de40 47626 devel optional dput_0.9.6.1+squeeze1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQEcBAEBCAAGBQJN/z3WAAoJEDH85+fdB5Rh5QsIAKBs1P6jDQHNjMFqJpfwCTO4
cS8xEJ0gREG0AFwbWS1vVyJwBG0/UJOHuWxNa1ecZwcyKHHeKlUK9xs8F6tzTFiW
aY/tM6fDbY71EKQ7Zdu+srr+zX8LfDlT8wZshOxiyAJBCbimTDCbb4awkyo5mW3p
TgW9K8/IlifhuFov5zW1msPNX4U3G3CGUfNZqQ+OR+9opEVABG2aiDLY9YUl8p/q
cjqHzooKWwm3HGjYtu5LdU+IlbiOKcCLtyWnN71P6ytmRuK9pBOzyVLOuAfzJfXM
O3en5P9jT8LDpDl7m8gaZA+kf1MJOpqLSvZn/Y6iwVwuipil4D518Mefq2Oxg00=
=LNBj
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jul 2011 07:34:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 07:17:57 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.